<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_edf1f4_tlf15"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:layout_width="80dp"
            android:layout_height="6dp"
            android:layout_marginTop="11dp"
            android:background="@drawable/bg_c2c8d4_3"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="68dp"
            android:layout_height="68dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="40dp"
            android:layout_marginBottom="16dp"
            android:src="@mipmap/logo"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
            app:layout_constraintStart_toEndOf="@id/iv_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_avatar">

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Tourist"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_id"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:textColor="#646469"
                android:textSize="15sp"
                tools:text="ID:18239972" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_search_engine"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_search_engine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/iv_search_engine"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/m_google"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:text="Search Engines"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_search_engine"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_search_engines"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="26dp"
            android:text="Google"
            android:textColor="#646469"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_search_engines" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_default_browser"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_default_browser"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/moren"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_default"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:text="Set as default browser"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_default_browser"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/tv_switch_browser"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="26dp"
            android:textColor="#646469"
            android:textSize="15sp"
            android:thumb="@drawable/bg_switch_thumb_ffffff"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:thumbTint="@color/white"
            app:track="@drawable/bg_switch_track"
            app:trackTint="@color/switch_track_selector"
            tools:checked="true"
            tools:ignore="HardcodedText" />

        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_default" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone">

        <FrameLayout
            android:id="@+id/fl_language"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/m_language"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_language"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:text="Language"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_language"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="26dp"
            android:text="English"
            android:textColor="#646469"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />


        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_language" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_widget"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/m_add_widget"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_widget"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginStart="12dp"
            android:text="Add widgets"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_widget"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.486"
            tools:ignore="HardcodedText" />


        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_widget" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:id="@+id/cl_clear_record"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_clear_record"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/m_clear"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_clean_record"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginStart="12dp"
            android:text="Clear Record"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_clear_record"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.486"
            tools:ignore="HardcodedText" />


        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_clean_record" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_feedback"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_feedback"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/m_feedback"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_feedback"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginStart="12dp"
            android:text="Feedback"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_feedback"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.486"
            tools:ignore="HardcodedText" />


        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_feedback" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_about"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_about"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/m_about"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_about"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginStart="12dp"
            android:text="About"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_about"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.486"
            tools:ignore="HardcodedText" />


        <View
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="#E5E6EB"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_about" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_cancel"
        android:layout_width="338dp"
        android:layout_height="50dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="13dp"
        android:layout_marginBottom="25dp"
        android:background="@drawable/bg_e1e4e9_25"
        android:gravity="center"
        android:text="Cancel"
        android:textColor="@color/black"
        android:textSize="18sp"
        tools:ignore="HardcodedText" />

</LinearLayout>